Bug 1258072 - UI: Bottleneck events for providers not seen under Optimize ->Bottlenecks [NEEDINFO]
UI: Bottleneck events for providers not seen under Optimize ->Bottlenecks
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Nick Carboni
Nandini Chandra
: ZStream
: 1211731 (view as bug list)
Depends On:
Blocks: 1259799
  Show dependency treegraph
 
Reported: 2015-08-28 17:18 EDT by Nandini Chandra
Modified: 2016-02-09 12:42 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1259799 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:28:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfme-bot: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-08-28 17:18:40 EDT
Description of problem:
------------------------
Bottleneck events for providers are not seen under Optimize->Bottlenecks.

The bottleneck_events table has records for resource_type = ExtManagementSystem,but these events don't show up on the UI.

-[ RECORD 138001 ]-------------------------------------------------------------------------------------------------------------------------------
id            | 138160
timestamp     | 2015-09-07 01:01:33.648312
created_on    | 2015-08-28 00:36:00.91089
resource_name | vsphere 5.5
resource_type | ExtManagementSystem
resource_id   | 1
event_type    | CpuUsage
severity      | 1
message       | CPU - Peak Usage Rate for Collected Intervals (MHz) is projected to reach 115.2 GHz (100% of CPU Max Total MHz)


Version-Release number of selected component (if applicable):
--------------------------
5.4.2


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.
2.
3.

Actual results:
---------------
Bottleneck events for providers should be  seen under Optimize->Bottlenecks.


Expected results:
-----------------
Bottleneck events for providers are not seen under Optimize->Bottlenecks.


Additional info:
----------------
Comment 4 CFME Bot 2015-09-08 19:05:18 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a0ae931602c3c80671226edabde871b4402ca613

commit a0ae931602c3c80671226edabde871b4402ca613
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Sep 2 17:08:09 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Sep 2 17:08:09 2015 -0400

    Use base class for finding resource_type in bottleneck event where clause
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1258072

 app/models/bottleneck_event.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
Comment 5 CFME Bot 2015-09-08 19:05:21 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/32f4677ccb9749f86805e12202fe6be7243f4867

commit 32f4677ccb9749f86805e12202fe6be7243f4867
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Sep 8 13:33:59 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Sep 8 13:33:59 2015 -0400

    Added spec tests for BottleneckEvent.event_where_clause
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1258072

 spec/models/bottleneck_event_spec.rb | 69 ++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)
Comment 6 Nick Carboni 2015-09-09 08:21:39 EDT
https://github.com/ManageIQ/manageiq/pull/4258
Comment 7 Nandini Chandra 2015-10-07 19:29:34 EDT
Verified in 5.5.0.3
Comment 8 Greg Blomquist 2015-11-23 09:25:44 EST
*** Bug 1211731 has been marked as a duplicate of this bug. ***
Comment 10 errata-xmlrpc 2015-12-08 08:28:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551
Comment 12 CFME Bot 2016-02-09 12:42:33 EST
Detected commit referencing this ticket while ticket status is CLOSED.
Comment 13 CFME Bot 2016-02-09 12:42:55 EST
Detected commit referencing this ticket while ticket status is CLOSED.

Note You need to log in before you can comment on or make changes to this bug.